Create Entity Snapshot

You can create file-based snapshot for all the campaign entities for an advertiser using this method.

📘

URL: POST/api/v1/snapshot/entity

Query Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the advertiserintegerYUnique numeric identifier
entityStatusThe status of the entity  Note: The default status is “enabled”. Disabled entities won’t be part of the snapshot unless you request “disabled” and/or “all”stringYPossible values: enabled, disabled, all
entityTypesThe type of entity for which the snapshot should be generated.string arrayYPossible values:
  • campaign
  • adGroup
  • keyword
  • adItem
  • bidMultiplier
  • placement
    • If you select this value, the entity snapshot will return which placements have been included or excluded for a given keyword campaign. The placements are:
    • For a keyword campaign: Search In-grid, Carousel, Buybox, Others
    • For an Auto campaign: Search In-grid, Carousel, Buybox, Browse In-Grid, Stock Up, Home Page, Others
  • sbaProfile: only for Sponsored Brands, previously known as Search Brand Amplifier (SBA)
  • adGroupMedia: only for Sponsored Video campaigns
  • category: only for Sponsored Brand campaigns
  • negativeKeywords
formatChoose the format type for your snapshotstringNTypes of Format: gzip, zip Note: gzip allows decompression while file is being transferred over the network, hence it is a faster and simpler way to download the reports.  You will receive snapshot in zip format if no specific format is selected

Note: There is no limit on number of snapshot requests for an advertiser.

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
WM_CONSUMER.IDWe will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATUREAuth signature as an API key.YUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONWe will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value
Content-TypeFormat of the message bodyYapplication/json

Sample Request 1

curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/snapshot/entity' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 600001, "entityStatus": "enabled", "entityTypes": ["campaign", " adGroup"], "format": "zip" }'

Sample Request 2

curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/snapshot/entity' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 600003, "entityStatus": "enabled", "entityTypes" : ["bidMultiplier" , "adItem"] }'

Sample Request 3

curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/snapshot/entity' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 600004, "entityStatus": "enabled", "entityTypes" : ["campaign", "adGroup", "keyword", "adItem", "bidMultiplier", "placement"], "format": "gzip" }'

Sample Request 4

curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/snapshot/entity' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 600004, "entityStatus": "enabled", "entityTypes" : ["campaign", "adGroup", "keyword", "adItem", "bidMultiplier", "placement"], "format": "gzip" }' 

Sample Request 5

curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/snapshot/entity' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 600005, "entityStatus": "enabled", "entityTypes" : ["category", "sbaProfile"], "format": "gzip" }'

Sample Request 6

curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/snapshot/entity' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 600005, "entityStatus": "enabled", "entityTypes" : [ "campaign","adGroup","keyword","adItem", "adGroupMedia"], "format": "gzip" }' 

Sample Request 7

curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/snapshot/entity' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 600005, "entityStatus": "enabled", "entityTypes" : ["negativeKeywords"], "format": "gzip" }' 

Response

ElementDescriptionType
codeThe response code can have following values: success, failurestring
detailsDetails of the error if value of response code is failurestring
snapshotIdID of the snapshotstring
jobStatusIt is an indicator to confirm status of snapshot generation. The possible values of jobStatus are: pending, processing, done, failed, expiredstring

Sample Response 1

 { "code": "success", "snapshotId": "1", "details": "", "jobStatus": "pending" }

Sample Response 2

 { "code": "success", "snapshotId": "2", "details": "", "jobStatus": "pending" }

Sample Response 3

 { "code": "success", "snapshotId": "3", "details": "", "jobStatus": "pending" }

Sample Response 4

 { "code": "success", "snapshotId": "4", "details": "", "jobStatus": "pending" }

Sample Response 5

 { "code": "success", "snapshotId": "5", "details": "", "jobStatus": "pending" }

Sample Response 6

 { "code" : "success", "snapshotId": "6", "details" : "", "jobStatus": "pending" }

Sample Response 7

 { "code" : "success", "snapshotId": "7", "details" : "", "jobStatus": "pending" }

Did this page help you?